/*
   Draw2SVG front-end: RISC OS WIMP program convert Drawfiles into SVG
   Copyright (C) 2001,2003,2005-7,2012,2019  Steven Simpson

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


   Author contact: Email to s.simpson@lancaster.ac.uk
*/

#ifndef icnums_h
#define icnums_h

#define      FIT_FLAG        22
#define      FIT_VALUE       23
#define   ASPRAT_NO          30
#define   ASPRAT_SLICE       31
#define   ASPRAT_MEET        32
#define   ASPRAT_XMIN        36
#define   ASPRAT_XMID        37
#define   ASPRAT_XMAX        38
#define   ASPRAT_YMIN        39
#define   ASPRAT_YMID        40
#define   ASPRAT_YMAX        41

#define     SIZE_ABSOLUTE    42
#define     SIZE_PERCENT     49
#define     SIZE_NONE        48

#define    SCALE_FLAG         9
#define    SCALE_VALUE       21

#define  NOSCALE_FLAG        24

#define      POS_FLAG         6
#define    GROUP_FLAG         7

#define    UNITS_VALUE       20
#define    UNITS_MENU        14

#define     THIN_VALUE       10

#define     BACK_FLAG         8
#define     BACK_VALUE       25

#define   MARGIN_FLAG        26
#define   MARGIN_VALUE       27

#define AUTOSAVE_FLAG        18
#define AUTOSAVE_VALUE       19

#define     TEXT_LATIN1OPT   44
#define     TEXT_PATHOPT     43
#define     TEXT_FONTOPT     45
#define     TEXT_FONTCFG     46

#define  RESTORE_BUTTON      12
#define   CANCEL_BUTTON      15
#define     SAVE_BUTTON      16
#define     OKAY_BUTTON      11

#endif
